/*
======================================
Skeleton DirectMusic Interface class header
	
	  
Wed, May26th, 1999
Gaz "Skid" Iqbal
skid@planetquake.com
======================================
*/



#ifndef _V_DIRECT_MUSIC
#define _V_DIRECT_MUSIC

#include "gclient.h"

#define INITGUID

#include <objbase.h>
#include <dmusicc.h>
#include <dmusici.h>


class CDirectMusic
{
public:
	CDirectMusic();
	~CDirectMusic();
	bool Init(char *gamepath);
	void Shutdown();
	bool Play(char *file);
	bool Stop();
	bool Resume();
	bool Pause();

private:
	HRESULT InitSynth();
	HRESULT InitPort(DWORD minChannelGroups);

	static IDirectMusic	*			m_pDirect;
	static IDirectMusicLoader*      m_pLoader;
	static IDirectMusicPerformance* m_pPerformance;
	static IDirectMusicSegment*     m_pSegment;
	static IDirectMusicPort*		m_pPort;
	static IDirectMusicComposer* 	m_pComposer;
	static IDirectMusicStyle*       m_pStyle;
	static IDirectMusicSegmentState*     m_pSegstate;
	
	static REFERENCE_TIME			m_refStartTime;
	static REFERENCE_TIME			m_refOffTime;
	static MUSIC_TIME				m_musStartTime;
	static MUSIC_TIME				m_musOffTime;
};

#endif










